Bug 125930 - Closing and reopening laptop produces squished display
Closing and reopening laptop produces squished display
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-14 05:39 EDT by Adam Wiggins
Modified: 2015-01-04 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:34:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Wiggins 2004-06-14 05:39:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, like Gecko)

Description of problem:
Power control works on FC2 with the 2.6 kernel, which it never did on this laptop before.  Yay!  One effect is that when you close the top, the screen shuts off, which it didn't do before (you could see the light shining on the keys).  Unfortunately, when you re-open it the display is squished inward so that it only fills about 30% of the available screen space, and the vertical display is offset so that the top half of the screen is on top, and vice versa.

lspci reports the video card as:
01:00.0 VGA compatible controller: nVidia Corporation NV17 [GeForce4 440 Go 64M] (rev a3)

The resolution is 1400x1050, and for monitor type I just chose LCD panel 1400x1050 which seems to work perfectly otherwise.


Version-Release number of selected component (if applicable):
acpid-1.0.2-6, kernel-2.6.6-1.427, xorg-x11-6.7.0-2

How reproducible:
Always

Steps to Reproduce:
1. Close laptop lid
2. Re-open lid

    

Additional info:
Comment 1 Adam Wiggins 2004-06-14 05:40:25 EDT
If you switch away from the X console (i.e., ctrl-alt-F1) and then 
switch back (ctrl-alt-F7) the display is fixed. 
 
Comment 2 Bill Nottingham 2004-06-29 00:06:49 EDT
This is probably an interaction between your BIOS and either X or the
kernel. Assigning to the kernel for now.
Comment 3 Dave Jones 2005-04-16 00:34:44 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.